import math
import numpy as np
from geom import *

class Structure:
    def __init__(self, res):
        self.res = res

class Turn(Structure):

    def __init__(self, turn_type, res):
        self.turn_type = turn_type
        Structure.res = res
                        
class Bridge(Structure):

    def __init__(self, bridge_type, res_num, res_partner, indices,
                 second_bridge_type=None, second_resnum=None,
                 second_res_partner=None, second_indices=None):
        self.bridge_type = bridge_type
        self.res_num = res_num
        self.res_partner = res_partner
        Structure.res = res_num
        self.i = indices[0]
        self.j = indices[1]
        self.second_bridge_type = second_bridge_type
        self.second_resnum = second_resnum
        self.second_res_partner = second_res_partner
        self.second_indices = second_indices

class Helix(Structure):

    def __init__(self, residues, res_num, helix_type):
        self.residues = residues
        self.res_num = res_num
        Structure.res = res_num
        self.helix_type = helix_type
